| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/vfsplat.h File Reference

VFS platform specific. More...

`#include "csextern.h"`

Go to the source code of this file.

## Functions
const char * | csCheckPlatformVFSVar (const char *VarName)
| Hook to resolve certain VFS vars on some platforms. (E.g. HOME on Win32).
void | csExpandPlatformFilename (const char *inputFilename, char *outputFilename)
| Hook to expand VFS mount paths on some platforms.

## Detailed Description

VFS platform specific.

Definition in file vfsplat.h.

## Function Documentation

const char* csCheckPlatformVFSVar | ( | const char * | VarName | ) |

Hook to resolve certain VFS vars on some platforms. (E.g. HOME on Win32).

void csExpandPlatformFilename | ( | const char * | inputFilename,
|  | char * | outputFilename |
| ) |  |  |

Hook to expand VFS mount paths on some platforms.

(E.g. Cygwin filenames to Win32 filenames)